Get actions group count by action statuses and action types
curl --request GET \
--url https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-08T06:27:47.905Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 10,
"data": [
"<unknown>"
]
}
}Actions
Get actions group count by action statuses and action types
GET
/
v1
/
actions
/
actions-group-counts
Get actions group count by action statuses and action types
curl --request GET \
--url https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.us.aptlydone.com/actions/v1/actions/actions-group-counts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"statusCode": 200,
"timestamp": "2026-01-08T06:27:47.905Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 10,
"data": [
"<unknown>"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Tenant ID
Example:
"d9b03e4d-f9b7-4394-84ff-e27c0ef63535"
Action group type (status, type)
Available options:
status, type Example:
"status"
Action filter type considering (all,mine)
Available options:
all, active, inactive, mine Example:
"all"
Action status IDs (comma separated)
Example:
"fd41b4d7-bb33-468e-9409-8e28cb849394, 67a4281b-07a8-4408-bc20-2bc756e82feb"
Action type IDs (comma separated)
Example:
"496d8700-85d6-40ab-ac24-6ac458416083, d0523197-9e72-4996-82bc-a00d77743841"
Duration (in month)
Example:
3
Was this page helpful?